### Function Description

Delete specified business's cluster templates based on business ID and cluster template ID list (Permission: Cluster template deletion permission)

### Request Parameters

{{ common_args_desc }}

#### Interface Parameters

| Field            | Type  | Required | Description              |
| ---------------- | ----- | -------- | ------------------------ |
| bk_biz_id        | int   | Yes      | Business ID              |
| set_template_ids | array | Yes      | Cluster template ID list |

### Request Parameter Example

```json
{
    "bk_app_code": "esb_test",
    "bk_app_secret": "xxx",
    "bk_username": "xxx",
    "bk_token": "xxx",
    "bk_biz_id": 20,
    "set_template_ids": [59]
}
```

### Response Example

```json
{
    "result": true,
    "code": 0,
    "message": "success",
    "permission": null,
    "request_id": "e43da4ef221746868dc4c837d36f3807",
    "data": null
}
```

### Return Result Parameters Description

#### response

| Field       | Type   | Description                                                  |
| ---------- | ------ | ------------------------------------------------------------ |
| result     | bool   | Whether the request is successful. true: successful; false: failed |
| code       | int    | Error code. 0 represents success, >0 represents a failure error |
| message    | string | Error message returned in case of failure                    |
| permission | object | Permission information                                       |
| request_id | string | Request chain ID                                             |
| data       | object | Data returned by the request                                 |