### Function Description

Edit the specified cluster template under a business based on the business ID and cluster template ID (Permission: Cluster Template Editing Permission)

### Request Parameters

{{ common_args_desc }}

#### Interface Parameters

| Field                | Type   | Required                                                     | Description                  |
| -------------------- | ------ | ------------------------------------------------------------ | ---------------------------- |
| bk_biz_id            | int    | Yes                                                          | Business ID                  |
| set_template_id      | int    | Yes                                                          | Cluster template ID          |
| name                 | string | Either `service_template_ids` or `name` is required, both can be filled | Cluster template name        |
| service_template_ids | array  | Either `service_template_ids` or `name` is required, both can be filled | List of service template IDs |

### Request Parameters Example

```json
{
    "bk_app_code": "esb_test",
    "bk_app_secret": "xxx",
    "bk_username": "xxx",
    "bk_token": "xxx",
    "name": "test",
    "bk_biz_id": 20,
    "set_template_id": 6,
    "service_template_ids": [59]
}
```

### Response Example

```json
{
    "result": true,
    "code": 0,
    "message": "success",
    "permission": null,
    "request_id": "e43da4ef221746868dc4c837d36f3807",
    "data": {
        "id": 6,
        "name": "test",
        "bk_biz_id": 20,
        "version": 0,
        "creator": "admin",
        "modifier": "admin",
        "create_time": "2019-11-27T17:24:10.671658+08:00",
        "last_time": "2019-11-27T17:24:10.671658+08:00",
        "bk_supplier_account": "0"
    }
}
```

### Response Parameters Description

#### response

| Field       | Type   | Description                                                  |
| ---------- | ------ | ------------------------------------------------------------ |
| result     | bool   | Whether the request was successful. true: successful; false: failed |
| code       | int    | Error code. 0 indicates success, >0 indicates failure        |
| message    | string | Error message returned in case of request failure            |
| permission | object | Permission information                                       |
| request_id | string | Request chain ID                                             |
| data       | object | Request returned data                                        |

#### data

| Field                | Type   | Description              |
| ------------------- | ------ | ------------------------ |
| id                  | int    | Cluster template ID      |
| name                | string | Cluster template name    |
| bk_biz_id           | int    | Business ID              |
| version             | int    | Cluster template version |
| creator             | string | Creator                  |
| modifier            | string | Last modifier            |
| create_time         | string | Creation time            |
| last_time           | string | Last update time         |
| bk_supplier_account | string | Supplier account         |