### Feature

- [Feature] Add a single instance deletion portal to the service and cluster template instance list page 
- [Feature] Support fuzzy search for module and cluster names in host search
- [Feature] Host auto-application support by service template configuration and experience optimization
- [Feature] New model import and export function
- [Feature] Business set support association
- [Feature] New timeout mechanism for http request context of each component to avoid long time execution of request without exit
- [Feature] Support https for each service
- [Feature] Query host and its corresponding topo add custom hierarchical query conditions

### Bugfix

- [Bugfix] Fix the problem of error report in model instance audit details
- [Bugfix] Repair the error of host auto-application status display and topo address parameter legitimacy check under the business set view
- [Bugfix] Repair the problem that editing business scope of business set does not take effect. 
- [Bugfix] Repair the problem that the newly created model field grouping cannot be collapsed normally.
- [Bugfix] Repair the problem that the service template synchronization instance change comparison overflow text style and the trigger of the drop-down box in the topology node creation are invalid. 
- [Bugfix] Repair the problem that search_instance_associations does not support two-way query association relationship

### Upgrade

- [Upgrade] Optimize the text of service template process information plus unlock button prompt
- [Upgrade] Remove the jumping business topology tips displayed by hover in the host list to avoid blocking the jumping icon in extreme cases
- [Upgrade] Set non-editable fields + IPv6 fields + CPU architecture fields not available for host auto-application 
- [Upgrade] Adaptation interface paging restrictions
- [Upgrade] Optimize the service instance label and topology display on the host details page to directly display all of them
- [Upgrade] Service (set) selector interaction experience optimization 
- [Upgrade] Default locking of the process port field in the service template configuration
- [Upgrade] Optimization of interfaces without length limit or paging in procserver may cause performance problems, if you use the interface in this [issue](https://github.com/TencentBlueKing/bk-cmdb/issues/5651), please use it according to the new paging requirement, otherwise the interface call will Otherwise, the interface call will fail.