> Important Notes.
>
> 1. v3.10 version is a major version upgrade, when upgrading from a version lower than v3.10 to v3.10 version, you need to **stop service** to upgrade, the upgrade process will migrate the existing stock data, and the upgrade time may be longer (depending on the data volume of the model instance).
> Before upgrading, you need to verify the data with the provided widget and process the data after verification to proceed with the normal upgrade process.
> 2. Before upgrading, please read the [Guidelines](https://github.com/TencentBlueKing/bk-cmdb/issues/5308) carefully, and follow the guidelines to sort out and prepare for the upgrade.
> 3. ` This version is only a test version, and cannot be used in the official environment. `
> 4. `For details of the interfaces added, adjusted and removed, please refer to the [Guidelines](https://github.com/TencentBlueKing/bk-cmdb/issues/5308).

### Feature

- [Feature] Added host identity event service. Also adjusted the host identity interface (search_hostidentifier) protocol, simplifying the protocol content and improving performance by 2 orders of magnitude, see [here](https://github.com/TencentBlueKing/bk-cmdb/issues/5183) for details. (Note: This feature is dependent on the GSE version, which is currently not released).
- [Feature] Added support for model instance event services.
- New] Added a number of model instance query and count-related interfaces to solve the performance problems of old interfaces.
- [Feature] Add event reporting connectivity detection and upgrade gsecmdline command.

### Upgrade

- [Upgrade] Adjusted the underlying storage structure of generic model instances to improve the data management capability of generic models.
- [Upgrade] Adjusted the management rules of the model's unique checks, removed the feature of allowing "null values" to not participate in the unique checks, and made the whole data more accurate in the management of uniqueness to ensure the accuracy of the data. Also adjusted the rules of fields that can participate in unique verification.
- [Upgrade] Optimized the logic of resource import and export.

### No longer supported features

- [No longer supported] The full set of services for the "event subscription" function has been taken offline, and the event service has been replaced by the current event watch (ESB interface is resource_watch) service, which is more flexible, more stable, and has more throughput power. (Note: This item depends on GSE version >= v1.7.9, otherwise it may cause GSE's gse_syncdata service cannot be started properly)
- [No longer supported] The full set of services and related interfaces of "Host Snapshot" have been taken offline, and the related capabilities of this feature are provided by Blue Whale Monitoring.
- [No longer supported] Deprecated the set_template resource subscription function in resource_watch.
- [No longer supported] Deprecated a number of interfaces related to model instances, which had performance issues and were replaced by new interfaces.