### Feature

- [Feature] New version of full-text search upgrade, please read the [Guidelines](https://github.com/TencentBlueKing/bk-cmdb/issues/5507)
- [Feature] Business topology adjustment, need to delete cache data after upgrading this version, please read issue [#5471](https://github.com/TencentBlueKing/bk-cmdb/issues/5471) for details)
- [Feature] Attribute authentication feature, please note the version dependency: IAM SaaS` >= 1.4.15`, IAM Backend` >= 1.7.7`. This version involves the migration of stock model instance permissions, if there are more permissions the process of executing init_db for permission migration may last for some time, it is recommended to avoid executing permission application and instance operation during the process of permission migration.
- [Feature] New interface for cleaning audit logs (see issue[#5603](https://github.com/TencentBlueKing/bk-cmdb/issues/5603) for how to use the interface)
- [Feature] Business support for cross-page batch editing
- [Feature] Archive service provides "delete completely" capability

### Bugfix

- [Bugfix] Fix the problem that the new instance fails to obtain lock twice when the new instance is self-associated.
- [Bugfix] Fix the problem of topo creation caused by using the host/service instance count interface.
- [Bugfix] Repair the problem of confusing query mode switching when querying the model instance of resource directory.
- [Bugfix] Repair the problem that the model relationship can still be created by repeatedly clicking the create button when creating a new level.
- [Bugfix] Repair the problem of loading when model instance details are wrong.
- [Bugfix] Repair the problem that the deletion history of other instances is loaded when viewing the deletion history of single instance model.
- [Bugfix] Repair the problem of displaying no authority due to abnormal data on operation statistics page.
- [Bugfix] Repair the problem that the synchronization status of cluster template sets the synchronizer as the current user.
- [Bugfix] Repair the problem that the mainline model event cannot be found in redis after going to db to check the details.
- [Bugfix] Repair the problem of panic in the transfer scenario for a large number of hosts (the number of hosts is more than 500 and the number of process templates in the service template is more than 10)
- [Bugfix] Checking problem when handling dynamic grouping and field type is organization
- [Bugfix] When exporting host data, adjust the processing of module and set data if there is no custom hierarchy
- [Bugfix] Repair the problem of querying host deletion history bk_obj_id parameter
- [Bugfix] Repair the problem of error when adding hosts in the module to create service instances with template without process
- [Bugfix] Repair the problem that the chart of operation statistics instance is not displayed.
- [Bugfix] Repair the problem that only the first one is authenticated in the list when dynamic group editing and deletion are authenticated.
- [Bugfix] Repair the problem of incomplete display of topology data of self-associated model.
- [Bugfix] Repair the problem that the hosts in the module cannot be transferred to the idle machine when no service instance is available.
- [Bugfix] Repair the problem that service instances cannot be cloned to other hosts due to incorrect acquisition of process data.
- [Bugfix] Repair the problem of setting id to 0 when importing model attributes.
- [Bugfix] Fix the judgment condition of mainline model, not using business topology grouping as judgment condition, so that the common model under this group can be synchronized to IAM normally.
- [Bugfix] upgrade to add upgrade operation of skipping unregistered actions
- [Bugfix] Fix the problem that dynamic grouping cannot be queried under audit.
- [Bugfix] Fix the problem of generic model instance authentication
- [Bugfix] Fix the error caused by transaction commit failure when synchronizing cluster template instances
- [Bugfix] Host search problem that cannot be searched by entering \ character

### Upgrade

- [Upgrade] Support fuzzy search for host character field
- [Upgrade] Query cluster template synchronization status compatible with no module under the cluster
- [Upgrade] Support fuzzy search for business name search by default
- [Upgrade] taskserver clears redundant tasks from one month ago
- [Upgrade] Generic model built-in field names are unified to unmodifiable
- [Upgrade] Change business name search from case sensitive to case insensitive
- [Upgrade] coreservice optimize count logic
- [Upgrade] Optimize the hidden text display of IP item overflow in multi-value filtering items
- [Upgrade] Fix the problem of not displaying dynamic grouping condition operator
- [Upgrade] Repair the defect of interface to get the number of hosts of topo nodes
- [Upgrade] Repair the logic failure problem of automatic application of host attributes
- [Upgrade] Optimization of decoupling host and service instance
- [Upgrade] Show only instances without privileges for host and generic model instance privilege application
- [Upgrade] Optimize the function of querying the list of instances with privileges
- [Upgrade] refactoring of toposerver
- [Upgrade] Sync model name to IAM when modifying generic model name
- [Upgrade] Business topology cache adjustment (Note: you need to delete the cached data after upgrading this version by using the widget, see issue [#5471](https://github.com/TencentBlueKing/bk-cmdb/issues/5471) for details)
- [Upgrade] Permissions for migrating stock model instances in attribute authentication function
- [Upgrade] Default checkbox for resource export is the attribute column configured in the upper table header
- [Upgrade] Full-text search experience optimization
- [Upgrade] When exporting the host, the business, custom hierarchy, cluster, and module are each exported in one column by default, which is convenient for users to filter these 3 models
- [Upgrade] When exporting instance data, get user data through concurrency to improve performance
- [Upgrade] Add id and cursor information to the watch token of the host identity event listener to prevent users from reporting errors when requesting with the last cursor that has expired.
- [Upgrade] "Business" support for batch editing and code optimization after merging into v3.10.x
- [Upgrade] Put the unique verification rules of processes under the service instance into the unique index
- [Upgrade] Return null directly when no permission, no error
- [Upgrade] Adjust code logic to be compatible with scenarios without any built-in custom objects