### Feature

- [Feature] Enumeration multiple choice type for model field
- [Feature] Model property fields support `table` type
- [Feature] Added `Field Grouping Template` feature, which enables centralized management of fields from different models with the same configuration requirements through field combination templates
- [Feature] Support for host entry and display of IPv6-only fields
- [Feature] Support IPv6 format IP search
- [Feature] Model attribute fields support adding default values
- [Feature] Support multi-selection for organization type fields
- [Feature] Home page display version log function
- [Feature] Watch function for BK-Net resources
- [Feature] Add language switch function in navigation
- [Feature] Get push host identity result interface
- [Feature] Add project model function
- [Feature] The cloud host interface supports the function of determining whether the host needs to be updated according to "cloud provider + cloud host ID"
- [Feature] The `list_process_related_info` API now supports the display of IPv6 address information
- [Feature] The `list_process_releated_info` API now supports returning agentID information
- [Feature] Added support for transferring hosts across businesses through the ESB API `transfer_host_across_biz` 

### Fixed

- [Fixed] Repair the problem of updating the service template interface checking name according to the previous name
- [Fixed] Repair the problem that the business custom fields of the interface for adjusting model fields are not judged according to the business
- [Fixed] Repair the problem of loss of critical data when exporting user data.
- [Fixed] Repair the problem of not creating default groups when creating field groups does not exist.
- [Fixed] Repair the problem that the association mapping is not verified when importing association relationship in excel.
- [Fixed] Repair the problem of dead loop when querying hosts with instance id of custom topology if no instance of custom topology is found.
- [Fixed] Repair the probability of circular login problem in cmdb multi-environment scenario.
- [Fixed] Repair the problem of very small probability of panic in full-text search scenario.
- [Fixed] Repair the problem that the data does not exist when the organization field exists
- [Fixed] Repair the problem that old and new dataid affect each other when registering streamTo with gse
- [Fixed] Repair the problem of incorrectly obtaining host auto-application rules in the scenario of deleting model attribute fields
- [Fixed] Fix an issue where default values outside the range of field settings could be successfully imported
- [Fixed] Fix the problem of reporting an error when exporting more than 200 instances
- [Fixed] Repair the problem of exception when previewing dynamic grouping query object is cluster
- [Fixed] Repair the problem that an error may be reported when configuring and saving enumeration type fields
- [Fixed] Repair the problem of multiple selection editing failure of enumerations.
- [Fixed] Repair the problem that values beyond the range of fields can be successfully imported.
- [Fixed] Repair the problem that default values cannot be submitted for fields of numeric and floating point types.
- [Fixed] Repair the situation that the search result of advanced filtering box in business does not match with the actual one.
- [Fixed] Fixed the issue of the service instance query API failing when the module ID is not provided
- [Fixed] Fix the issue that the model cannot be imported through excel
- [Fixed] Fixed the issue of character, organization, and list type default value conversion errors causing instance creation failure 
- [Fixed] Fixed the issue of regex validation not passing when the user type default value is an empty string 
- [Fixed] Fixed the issue where the value is not empty in the `number` column field of the `table` type when not assigned
- [Fixed] Fixed the issue where switching between Chinese and English languages in settings is not effective
- [Fixed] Fixed the issue where the advanced filter function of Host only displays up to 1000 data items in BK-Net dropdown
- [Fixed] Fixed the issue of the secondary confirmation box popping up when clicking the submit button in the dynamic group creation scenario
- [Fixed] Resolved the issue of empty values in the listening information of processes in the service template.

### Update

- [Update] Optimize some front-end display problems
- [Update] Create database indexes compatible with duplicate indexes already created.
- [Update] Update some front-end display issues
- [Update] Generic method to implement side-slide close specification
- [Update] Updated the term "Cloud Area" to "BK-Net"
- [Update] Adjusted the GSE Thrift API certificate
- [Update] Update some front-end display issues
- [Update] Improved various issues related to supporting multiple languages and adapting the display accordingly
- [Update] Optimized index settings for table type fields 
- [Update] Optimized the configuration acquisition of the API Gateway



### Known Issues

- When adding `table` type fields in the model, if the "ID" or "Field ID" is set too long, it may cause the field to fail to be created successfully. We are aware of this issue and will provide updates in future releases.

- In model management, the "Enumeration (quote)" field type has issues, please do not use it. In subsequent versions, we will introduce a new type to replace its functionality.


