模型实例采集器
=================

用于录入/更新模型实例

### 工作流程

1. 采集器采集实例数据并上报，**采集的实例对应的模型必须已经存在并且具有一个must_check为true的唯一校验，否则上报的实例数据将不会被录入。采集器不提供采集模型和属性的功能**。

   上报数据字段说明：

   | 字段 | 类型   | 必选 | 描述     |
   | ---- | ------ | ---- | -------- |
   | meta | object | 是   | 模型信息 |
   | data | object | 是   | 实例信息 |
   
   meta.model字段说明：
   
   | 字段                | 类型   | 必选 | 描述            |
   | ------------------- | ------ | ---- | --------------- |
   | bk_obj_id           | string | 是   | 模型的bk_obj_id |
   | bk_supplier_account | string | 是   | 开发商账号      |
   
   data字段说明：
   
   | 字段       | 类型   | 必选 | 描述                                                         |
   | ---------- | ------ | ---- | ------------------------------------------------------------ |
   | must_check | string | 是   | 此处仅为示例数据，需要设置为模型定义的must_check为true的唯一校验中的字段的bk_property_id，**所有must_check为true的唯一校验中的字段都必填，否则上报的实例数据将不会被录入** |
   | test       | string | 否   | 此处仅为示例数据，需要设置为模型中定义的字段的bk_property_id |
   
   
   请求参数示例：

   ```json
   {
      "meta": {
          "model": {
              "bk_obj_id": "test",
              "bk_supplier_account": "0"
          }
      },
      "data": {
          "must_check": "test",
          "test": "test"
      }
   }
   ```


2. 服务端处理上报的实例数据，**按照模型定义的must_check为true的唯一校验判断实例是否存在**，若存在则更新已有的实例数据，若不存在则新增实例。**模型不存在或没有一个唯一的must_check为true的唯一校验或上报数据不符合上述规则的数据不会被录入**。

