
## 唯一校验规则相关说明
1. 唯一校验分为内置校验，和非内置校验两种。内置校验是用户创建模型时，系统自动生成一个以`实例名`为唯一校验的规则,must_check为`是`。用户后绪创建的所有唯一校验规则均为非内置校验规则，且must_check为否。
2. must_check为否时，当且仅当唯一校验规则中配置的所有字段不为空时才进行校验。若任一字段为空，则该规则直接跳过，不再进行唯一的校验。
3. 多个唯一校验规则之间为`and`的关系。
4. 场景：
  - 更新内置的唯一校验规则时，所有现在实例均需满足唯一规则。
  - 更新must_check为否的校验规则时，仅校验所有校验字段不为空的实例中，必须保持唯一。
  - 新建实例时，如果实例中的字段在校验规则中，且规则的must_check为否，则该条校验规则直接跳过，不做校验。
  - 删除模型唯一校验时，仍然遵循以上规则。
5. 空值说明：
  - 实例中该字段不存在
  - 字段存在，值为null
  - 字段存在，但为`零值`。如string为"", int为0， bool为false， float为0.0
  以上三种情况均`为空值`。