/*
 * Tencent is pleased to support the open source community by making
 * 蓝鲸智云 - 配置平台 (BlueKing - Configuration System) available.
 * Copyright (C) 2017 THL A29 Limited,
 * a Tencent company. All rights reserved.
 * Licensed under the MIT License (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at http://opensource.org/licenses/MIT
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 * We undertake not to change the open source license (MIT license) applicable
 * to the current version of the project delivered to anyone in the future.
 */

// Code generated by Thrift Compiler (0.19.0). DO NOT EDIT.

package get_agent_state_forsyncdata

import (
	"bytes"
	"context"
	"errors"
	"fmt"
	thrift "github.com/apache/thrift/lib/go/thrift"
	"regexp"
	"strings"
	"time"
)

// (needed to ensure safety because of naive import list construction.)
var _ = thrift.ZERO
var _ = fmt.Printf
var _ = errors.New
var _ = context.Background
var _ = time.Now
var _ = bytes.Equal

// (needed by validator.)
var _ = strings.Contains
var _ = regexp.MatchString

// Attributes:
//   - GseCompositeID
//   - IP
type CacheIPInfo struct {
	GseCompositeID string `thrift:"gse_composite_id,1" db:"gse_composite_id" json:"gse_composite_id"`
	IP             string `thrift:"ip,2" db:"ip" json:"ip"`
}

func NewCacheIPInfo() *CacheIPInfo {
	return &CacheIPInfo{}
}

func (p *CacheIPInfo) GetGseCompositeID() string {
	return p.GseCompositeID
}

func (p *CacheIPInfo) GetIP() string {
	return p.IP
}
func (p *CacheIPInfo) Read(ctx context.Context, iprot thrift.TProtocol) error {
	if _, err := iprot.ReadStructBegin(ctx); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T read error: ", p), err)
	}

	for {
		_, fieldTypeId, fieldId, err := iprot.ReadFieldBegin(ctx)
		if err != nil {
			return thrift.PrependError(fmt.Sprintf("%T field %d read error: ", p, fieldId), err)
		}
		if fieldTypeId == thrift.STOP {
			break
		}
		switch fieldId {
		case 1:
			if fieldTypeId == thrift.STRING {
				if err := p.ReadField1(ctx, iprot); err != nil {
					return err
				}
			} else {
				if err := iprot.Skip(ctx, fieldTypeId); err != nil {
					return err
				}
			}
		case 2:
			if fieldTypeId == thrift.STRING {
				if err := p.ReadField2(ctx, iprot); err != nil {
					return err
				}
			} else {
				if err := iprot.Skip(ctx, fieldTypeId); err != nil {
					return err
				}
			}
		default:
			if err := iprot.Skip(ctx, fieldTypeId); err != nil {
				return err
			}
		}
		if err := iprot.ReadFieldEnd(ctx); err != nil {
			return err
		}
	}
	if err := iprot.ReadStructEnd(ctx); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T read struct end error: ", p), err)
	}
	return nil
}

func (p *CacheIPInfo) ReadField1(ctx context.Context, iprot thrift.TProtocol) error {
	if v, err := iprot.ReadString(ctx); err != nil {
		return thrift.PrependError("error reading field 1: ", err)
	} else {
		p.GseCompositeID = v
	}
	return nil
}

func (p *CacheIPInfo) ReadField2(ctx context.Context, iprot thrift.TProtocol) error {
	if v, err := iprot.ReadString(ctx); err != nil {
		return thrift.PrependError("error reading field 2: ", err)
	} else {
		p.IP = v
	}
	return nil
}

func (p *CacheIPInfo) Write(ctx context.Context, oprot thrift.TProtocol) error {
	if err := oprot.WriteStructBegin(ctx, "cache_ip_info"); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T write struct begin error: ", p), err)
	}
	if p != nil {
		if err := p.writeField1(ctx, oprot); err != nil {
			return err
		}
		if err := p.writeField2(ctx, oprot); err != nil {
			return err
		}
	}
	if err := oprot.WriteFieldStop(ctx); err != nil {
		return thrift.PrependError("write field stop error: ", err)
	}
	if err := oprot.WriteStructEnd(ctx); err != nil {
		return thrift.PrependError("write struct stop error: ", err)
	}
	return nil
}

func (p *CacheIPInfo) writeField1(ctx context.Context, oprot thrift.TProtocol) (err error) {
	if err := oprot.WriteFieldBegin(ctx, "gse_composite_id", thrift.STRING, 1); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T write field begin error 1:gse_composite_id: ", p), err)
	}
	if err := oprot.WriteString(ctx, string(p.GseCompositeID)); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T.gse_composite_id (1) field write error: ", p), err)
	}
	if err := oprot.WriteFieldEnd(ctx); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T write field end error 1:gse_composite_id: ", p), err)
	}
	return err
}

func (p *CacheIPInfo) writeField2(ctx context.Context, oprot thrift.TProtocol) (err error) {
	if err := oprot.WriteFieldBegin(ctx, "ip", thrift.STRING, 2); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T write field begin error 2:ip: ", p), err)
	}
	if err := oprot.WriteString(ctx, string(p.IP)); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T.ip (2) field write error: ", p), err)
	}
	if err := oprot.WriteFieldEnd(ctx); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T write field end error 2:ip: ", p), err)
	}
	return err
}

func (p *CacheIPInfo) Equals(other *CacheIPInfo) bool {
	if p == other {
		return true
	} else if p == nil || other == nil {
		return false
	}
	if p.GseCompositeID != other.GseCompositeID {
		return false
	}
	if p.IP != other.IP {
		return false
	}
	return true
}

func (p *CacheIPInfo) String() string {
	if p == nil {
		return "<nil>"
	}
	return fmt.Sprintf("CacheIPInfo(%+v)", *p)
}

func (p *CacheIPInfo) Validate() error {
	return nil
}

// Attributes:
//   - Hosts
type AgentStatusRequest struct {
	Hosts []*CacheIPInfo `thrift:"hosts,1" db:"hosts" json:"hosts"`
}

func NewAgentStatusRequest() *AgentStatusRequest {
	return &AgentStatusRequest{}
}

func (p *AgentStatusRequest) GetHosts() []*CacheIPInfo {
	return p.Hosts
}
func (p *AgentStatusRequest) Read(ctx context.Context, iprot thrift.TProtocol) error {
	if _, err := iprot.ReadStructBegin(ctx); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T read error: ", p), err)
	}

	for {
		_, fieldTypeId, fieldId, err := iprot.ReadFieldBegin(ctx)
		if err != nil {
			return thrift.PrependError(fmt.Sprintf("%T field %d read error: ", p, fieldId), err)
		}
		if fieldTypeId == thrift.STOP {
			break
		}
		switch fieldId {
		case 1:
			if fieldTypeId == thrift.LIST {
				if err := p.ReadField1(ctx, iprot); err != nil {
					return err
				}
			} else {
				if err := iprot.Skip(ctx, fieldTypeId); err != nil {
					return err
				}
			}
		default:
			if err := iprot.Skip(ctx, fieldTypeId); err != nil {
				return err
			}
		}
		if err := iprot.ReadFieldEnd(ctx); err != nil {
			return err
		}
	}
	if err := iprot.ReadStructEnd(ctx); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T read struct end error: ", p), err)
	}
	return nil
}

func (p *AgentStatusRequest) ReadField1(ctx context.Context, iprot thrift.TProtocol) error {
	_, size, err := iprot.ReadListBegin(ctx)
	if err != nil {
		return thrift.PrependError("error reading list begin: ", err)
	}
	tSlice := make([]*CacheIPInfo, 0, size)
	p.Hosts = tSlice
	for i := 0; i < size; i++ {
		_elem0 := &CacheIPInfo{}
		if err := _elem0.Read(ctx, iprot); err != nil {
			return thrift.PrependError(fmt.Sprintf("%T error reading struct: ", _elem0), err)
		}
		p.Hosts = append(p.Hosts, _elem0)
	}
	if err := iprot.ReadListEnd(ctx); err != nil {
		return thrift.PrependError("error reading list end: ", err)
	}
	return nil
}

func (p *AgentStatusRequest) Write(ctx context.Context, oprot thrift.TProtocol) error {
	if err := oprot.WriteStructBegin(ctx, "agent_status_request"); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T write struct begin error: ", p), err)
	}
	if p != nil {
		if err := p.writeField1(ctx, oprot); err != nil {
			return err
		}
	}
	if err := oprot.WriteFieldStop(ctx); err != nil {
		return thrift.PrependError("write field stop error: ", err)
	}
	if err := oprot.WriteStructEnd(ctx); err != nil {
		return thrift.PrependError("write struct stop error: ", err)
	}
	return nil
}

func (p *AgentStatusRequest) writeField1(ctx context.Context, oprot thrift.TProtocol) (err error) {
	if err := oprot.WriteFieldBegin(ctx, "hosts", thrift.LIST, 1); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T write field begin error 1:hosts: ", p), err)
	}
	if err := oprot.WriteListBegin(ctx, thrift.STRUCT, len(p.Hosts)); err != nil {
		return thrift.PrependError("error writing list begin: ", err)
	}
	for _, v := range p.Hosts {
		if err := v.Write(ctx, oprot); err != nil {
			return thrift.PrependError(fmt.Sprintf("%T error writing struct: ", v), err)
		}
	}
	if err := oprot.WriteListEnd(ctx); err != nil {
		return thrift.PrependError("error writing list end: ", err)
	}
	if err := oprot.WriteFieldEnd(ctx); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T write field end error 1:hosts: ", p), err)
	}
	return err
}

func (p *AgentStatusRequest) Equals(other *AgentStatusRequest) bool {
	if p == other {
		return true
	} else if p == nil || other == nil {
		return false
	}
	if len(p.Hosts) != len(other.Hosts) {
		return false
	}
	for i, _tgt := range p.Hosts {
		_src1 := other.Hosts[i]
		if !_tgt.Equals(_src1) {
			return false
		}
	}
	return true
}

func (p *AgentStatusRequest) String() string {
	if p == nil {
		return "<nil>"
	}
	return fmt.Sprintf("AgentStatusRequest(%+v)", *p)
}

func (p *AgentStatusRequest) Validate() error {
	return nil
}

// Attributes:
//   - Result_
//   - BkErrorCode
//   - BkErrorMsg
type AgentStatusResponse struct {
	Result_     map[string]string `thrift:"result,1" db:"result" json:"result"`
	BkErrorCode int32             `thrift:"bk_error_code,2" db:"bk_error_code" json:"bk_error_code"`
	BkErrorMsg  string            `thrift:"bk_error_msg,3" db:"bk_error_msg" json:"bk_error_msg"`
}

func NewAgentStatusResponse() *AgentStatusResponse {
	return &AgentStatusResponse{}
}

func (p *AgentStatusResponse) GetResult_() map[string]string {
	return p.Result_
}

func (p *AgentStatusResponse) GetBkErrorCode() int32 {
	return p.BkErrorCode
}

func (p *AgentStatusResponse) GetBkErrorMsg() string {
	return p.BkErrorMsg
}
func (p *AgentStatusResponse) Read(ctx context.Context, iprot thrift.TProtocol) error {
	if _, err := iprot.ReadStructBegin(ctx); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T read error: ", p), err)
	}

	for {
		_, fieldTypeId, fieldId, err := iprot.ReadFieldBegin(ctx)
		if err != nil {
			return thrift.PrependError(fmt.Sprintf("%T field %d read error: ", p, fieldId), err)
		}
		if fieldTypeId == thrift.STOP {
			break
		}
		switch fieldId {
		case 1:
			if fieldTypeId == thrift.MAP {
				if err := p.ReadField1(ctx, iprot); err != nil {
					return err
				}
			} else {
				if err := iprot.Skip(ctx, fieldTypeId); err != nil {
					return err
				}
			}
		case 2:
			if fieldTypeId == thrift.I32 {
				if err := p.ReadField2(ctx, iprot); err != nil {
					return err
				}
			} else {
				if err := iprot.Skip(ctx, fieldTypeId); err != nil {
					return err
				}
			}
		case 3:
			if fieldTypeId == thrift.STRING {
				if err := p.ReadField3(ctx, iprot); err != nil {
					return err
				}
			} else {
				if err := iprot.Skip(ctx, fieldTypeId); err != nil {
					return err
				}
			}
		default:
			if err := iprot.Skip(ctx, fieldTypeId); err != nil {
				return err
			}
		}
		if err := iprot.ReadFieldEnd(ctx); err != nil {
			return err
		}
	}
	if err := iprot.ReadStructEnd(ctx); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T read struct end error: ", p), err)
	}
	return nil
}

func (p *AgentStatusResponse) ReadField1(ctx context.Context, iprot thrift.TProtocol) error {
	_, _, size, err := iprot.ReadMapBegin(ctx)
	if err != nil {
		return thrift.PrependError("error reading map begin: ", err)
	}
	tMap := make(map[string]string, size)
	p.Result_ = tMap
	for i := 0; i < size; i++ {
		var _key2 string
		if v, err := iprot.ReadString(ctx); err != nil {
			return thrift.PrependError("error reading field 0: ", err)
		} else {
			_key2 = v
		}
		var _val3 string
		if v, err := iprot.ReadString(ctx); err != nil {
			return thrift.PrependError("error reading field 0: ", err)
		} else {
			_val3 = v
		}
		p.Result_[_key2] = _val3
	}
	if err := iprot.ReadMapEnd(ctx); err != nil {
		return thrift.PrependError("error reading map end: ", err)
	}
	return nil
}

func (p *AgentStatusResponse) ReadField2(ctx context.Context, iprot thrift.TProtocol) error {
	if v, err := iprot.ReadI32(ctx); err != nil {
		return thrift.PrependError("error reading field 2: ", err)
	} else {
		p.BkErrorCode = v
	}
	return nil
}

func (p *AgentStatusResponse) ReadField3(ctx context.Context, iprot thrift.TProtocol) error {
	if v, err := iprot.ReadString(ctx); err != nil {
		return thrift.PrependError("error reading field 3: ", err)
	} else {
		p.BkErrorMsg = v
	}
	return nil
}

func (p *AgentStatusResponse) Write(ctx context.Context, oprot thrift.TProtocol) error {
	if err := oprot.WriteStructBegin(ctx, "agent_status_response"); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T write struct begin error: ", p), err)
	}
	if p != nil {
		if err := p.writeField1(ctx, oprot); err != nil {
			return err
		}
		if err := p.writeField2(ctx, oprot); err != nil {
			return err
		}
		if err := p.writeField3(ctx, oprot); err != nil {
			return err
		}
	}
	if err := oprot.WriteFieldStop(ctx); err != nil {
		return thrift.PrependError("write field stop error: ", err)
	}
	if err := oprot.WriteStructEnd(ctx); err != nil {
		return thrift.PrependError("write struct stop error: ", err)
	}
	return nil
}

func (p *AgentStatusResponse) writeField1(ctx context.Context, oprot thrift.TProtocol) (err error) {
	if err := oprot.WriteFieldBegin(ctx, "result", thrift.MAP, 1); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T write field begin error 1:result: ", p), err)
	}
	if err := oprot.WriteMapBegin(ctx, thrift.STRING, thrift.STRING, len(p.Result_)); err != nil {
		return thrift.PrependError("error writing map begin: ", err)
	}
	for k, v := range p.Result_ {
		if err := oprot.WriteString(ctx, string(k)); err != nil {
			return thrift.PrependError(fmt.Sprintf("%T. (0) field write error: ", p), err)
		}
		if err := oprot.WriteString(ctx, string(v)); err != nil {
			return thrift.PrependError(fmt.Sprintf("%T. (0) field write error: ", p), err)
		}
	}
	if err := oprot.WriteMapEnd(ctx); err != nil {
		return thrift.PrependError("error writing map end: ", err)
	}
	if err := oprot.WriteFieldEnd(ctx); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T write field end error 1:result: ", p), err)
	}
	return err
}

func (p *AgentStatusResponse) writeField2(ctx context.Context, oprot thrift.TProtocol) (err error) {
	if err := oprot.WriteFieldBegin(ctx, "bk_error_code", thrift.I32, 2); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T write field begin error 2:bk_error_code: ", p), err)
	}
	if err := oprot.WriteI32(ctx, int32(p.BkErrorCode)); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T.bk_error_code (2) field write error: ", p), err)
	}
	if err := oprot.WriteFieldEnd(ctx); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T write field end error 2:bk_error_code: ", p), err)
	}
	return err
}

func (p *AgentStatusResponse) writeField3(ctx context.Context, oprot thrift.TProtocol) (err error) {
	if err := oprot.WriteFieldBegin(ctx, "bk_error_msg", thrift.STRING, 3); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T write field begin error 3:bk_error_msg: ", p), err)
	}
	if err := oprot.WriteString(ctx, string(p.BkErrorMsg)); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T.bk_error_msg (3) field write error: ", p), err)
	}
	if err := oprot.WriteFieldEnd(ctx); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T write field end error 3:bk_error_msg: ", p), err)
	}
	return err
}

func (p *AgentStatusResponse) Equals(other *AgentStatusResponse) bool {
	if p == other {
		return true
	} else if p == nil || other == nil {
		return false
	}
	if len(p.Result_) != len(other.Result_) {
		return false
	}
	for k, _tgt := range p.Result_ {
		_src4 := other.Result_[k]
		if _tgt != _src4 {
			return false
		}
	}
	if p.BkErrorCode != other.BkErrorCode {
		return false
	}
	if p.BkErrorMsg != other.BkErrorMsg {
		return false
	}
	return true
}

func (p *AgentStatusResponse) String() string {
	if p == nil {
		return "<nil>"
	}
	return fmt.Sprintf("AgentStatusResponse(%+v)", *p)
}

func (p *AgentStatusResponse) Validate() error {
	return nil
}

type CacheAPI interface {
	// Parameters:
	//  - RequestInfo
	GetAgentStatus(ctx context.Context, request_info *AgentStatusRequest) (_r *AgentStatusResponse, _err error)
}

type CacheAPIClient struct {
	c    thrift.TClient
	meta thrift.ResponseMeta
}

func NewCacheAPIClientFactory(t thrift.TTransport, f thrift.TProtocolFactory) *CacheAPIClient {
	return &CacheAPIClient{
		c: thrift.NewTStandardClient(f.GetProtocol(t), f.GetProtocol(t)),
	}
}

func NewCacheAPIClientProtocol(t thrift.TTransport, iprot thrift.TProtocol, oprot thrift.TProtocol) *CacheAPIClient {
	return &CacheAPIClient{
		c: thrift.NewTStandardClient(iprot, oprot),
	}
}

func NewCacheAPIClient(c thrift.TClient) *CacheAPIClient {
	return &CacheAPIClient{
		c: c,
	}
}

func (p *CacheAPIClient) Client_() thrift.TClient {
	return p.c
}

func (p *CacheAPIClient) LastResponseMeta_() thrift.ResponseMeta {
	return p.meta
}

func (p *CacheAPIClient) SetLastResponseMeta_(meta thrift.ResponseMeta) {
	p.meta = meta
}

// Parameters:
//   - RequestInfo
func (p *CacheAPIClient) GetAgentStatus(ctx context.Context, request_info *AgentStatusRequest) (_r *AgentStatusResponse, _err error) {
	var _args5 CacheAPIGetAgentStatusArgs
	_args5.RequestInfo = request_info
	var _result7 CacheAPIGetAgentStatusResult
	var _meta6 thrift.ResponseMeta
	_meta6, _err = p.Client_().Call(ctx, "get_agent_status", &_args5, &_result7)
	p.SetLastResponseMeta_(_meta6)
	if _err != nil {
		return
	}
	if _ret8 := _result7.GetSuccess(); _ret8 != nil {
		return _ret8, nil
	}
	return nil, thrift.NewTApplicationException(thrift.MISSING_RESULT, "get_agent_status failed: unknown result")
}

type CacheAPIProcessor struct {
	processorMap map[string]thrift.TProcessorFunction
	handler      CacheAPI
}

func (p *CacheAPIProcessor) AddToProcessorMap(key string, processor thrift.TProcessorFunction) {
	p.processorMap[key] = processor
}

func (p *CacheAPIProcessor) GetProcessorFunction(key string) (processor thrift.TProcessorFunction, ok bool) {
	processor, ok = p.processorMap[key]
	return processor, ok
}

func (p *CacheAPIProcessor) ProcessorMap() map[string]thrift.TProcessorFunction {
	return p.processorMap
}

func NewCacheAPIProcessor(handler CacheAPI) *CacheAPIProcessor {

	self9 := &CacheAPIProcessor{handler: handler, processorMap: make(map[string]thrift.TProcessorFunction)}
	self9.processorMap["get_agent_status"] = &cacheAPIProcessorGetAgentStatus{handler: handler}
	return self9
}

func (p *CacheAPIProcessor) Process(ctx context.Context, iprot, oprot thrift.TProtocol) (success bool, err thrift.TException) {
	name, _, seqId, err2 := iprot.ReadMessageBegin(ctx)
	if err2 != nil {
		return false, thrift.WrapTException(err2)
	}
	if processor, ok := p.GetProcessorFunction(name); ok {
		return processor.Process(ctx, seqId, iprot, oprot)
	}
	iprot.Skip(ctx, thrift.STRUCT)
	iprot.ReadMessageEnd(ctx)
	x10 := thrift.NewTApplicationException(thrift.UNKNOWN_METHOD, "Unknown function "+name)
	oprot.WriteMessageBegin(ctx, name, thrift.EXCEPTION, seqId)
	x10.Write(ctx, oprot)
	oprot.WriteMessageEnd(ctx)
	oprot.Flush(ctx)
	return false, x10

}

type cacheAPIProcessorGetAgentStatus struct {
	handler CacheAPI
}

func (p *cacheAPIProcessorGetAgentStatus) Process(ctx context.Context, seqId int32, iprot, oprot thrift.TProtocol) (success bool, err thrift.TException) {
	var _write_err11 error
	args := CacheAPIGetAgentStatusArgs{}
	if err2 := args.Read(ctx, iprot); err2 != nil {
		iprot.ReadMessageEnd(ctx)
		x := thrift.NewTApplicationException(thrift.PROTOCOL_ERROR, err2.Error())
		oprot.WriteMessageBegin(ctx, "get_agent_status", thrift.EXCEPTION, seqId)
		x.Write(ctx, oprot)
		oprot.WriteMessageEnd(ctx)
		oprot.Flush(ctx)
		return false, thrift.WrapTException(err2)
	}
	iprot.ReadMessageEnd(ctx)

	tickerCancel := func() {}
	// Start a goroutine to do server side connectivity check.
	if thrift.ServerConnectivityCheckInterval > 0 {
		var cancel context.CancelCauseFunc
		ctx, cancel = context.WithCancelCause(ctx)
		defer cancel(nil)
		var tickerCtx context.Context
		tickerCtx, tickerCancel = context.WithCancel(context.Background())
		defer tickerCancel()
		go func(ctx context.Context, cancel context.CancelCauseFunc) {
			ticker := time.NewTicker(thrift.ServerConnectivityCheckInterval)
			defer ticker.Stop()
			for {
				select {
				case <-ctx.Done():
					return
				case <-ticker.C:
					if !iprot.Transport().IsOpen() {
						cancel(thrift.ErrAbandonRequest)
						return
					}
				}
			}
		}(tickerCtx, cancel)
	}

	result := CacheAPIGetAgentStatusResult{}
	if retval, err2 := p.handler.GetAgentStatus(ctx, args.RequestInfo); err2 != nil {
		tickerCancel()
		err = thrift.WrapTException(err2)
		if errors.Is(err2, thrift.ErrAbandonRequest) {
			return false, thrift.WrapTException(err2)
		}
		if errors.Is(err2, context.Canceled) {
			if err := context.Cause(ctx); errors.Is(err, thrift.ErrAbandonRequest) {
				return false, thrift.WrapTException(err)
			}
		}
		_exc12 := thrift.NewTApplicationException(thrift.INTERNAL_ERROR, "Internal error processing get_agent_status: "+err2.Error())
		if err2 := oprot.WriteMessageBegin(ctx, "get_agent_status", thrift.EXCEPTION, seqId); err2 != nil {
			_write_err11 = thrift.WrapTException(err2)
		}
		if err2 := _exc12.Write(ctx, oprot); _write_err11 == nil && err2 != nil {
			_write_err11 = thrift.WrapTException(err2)
		}
		if err2 := oprot.WriteMessageEnd(ctx); _write_err11 == nil && err2 != nil {
			_write_err11 = thrift.WrapTException(err2)
		}
		if err2 := oprot.Flush(ctx); _write_err11 == nil && err2 != nil {
			_write_err11 = thrift.WrapTException(err2)
		}
		if _write_err11 != nil {
			return false, thrift.WrapTException(_write_err11)
		}
		return true, err
	} else {
		result.Success = retval
	}
	tickerCancel()
	if err2 := oprot.WriteMessageBegin(ctx, "get_agent_status", thrift.REPLY, seqId); err2 != nil {
		_write_err11 = thrift.WrapTException(err2)
	}
	if err2 := result.Write(ctx, oprot); _write_err11 == nil && err2 != nil {
		_write_err11 = thrift.WrapTException(err2)
	}
	if err2 := oprot.WriteMessageEnd(ctx); _write_err11 == nil && err2 != nil {
		_write_err11 = thrift.WrapTException(err2)
	}
	if err2 := oprot.Flush(ctx); _write_err11 == nil && err2 != nil {
		_write_err11 = thrift.WrapTException(err2)
	}
	if _write_err11 != nil {
		return false, thrift.WrapTException(_write_err11)
	}
	return true, err
}

// HELPER FUNCTIONS AND STRUCTURES

// Attributes:
//   - RequestInfo
type CacheAPIGetAgentStatusArgs struct {
	RequestInfo *AgentStatusRequest `thrift:"request_info,1" db:"request_info" json:"request_info"`
}

func NewCacheAPIGetAgentStatusArgs() *CacheAPIGetAgentStatusArgs {
	return &CacheAPIGetAgentStatusArgs{}
}

var CacheAPIGetAgentStatusArgs_RequestInfo_DEFAULT *AgentStatusRequest

func (p *CacheAPIGetAgentStatusArgs) GetRequestInfo() *AgentStatusRequest {
	if !p.IsSetRequestInfo() {
		return CacheAPIGetAgentStatusArgs_RequestInfo_DEFAULT
	}
	return p.RequestInfo
}
func (p *CacheAPIGetAgentStatusArgs) IsSetRequestInfo() bool {
	return p.RequestInfo != nil
}

func (p *CacheAPIGetAgentStatusArgs) Read(ctx context.Context, iprot thrift.TProtocol) error {
	if _, err := iprot.ReadStructBegin(ctx); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T read error: ", p), err)
	}

	for {
		_, fieldTypeId, fieldId, err := iprot.ReadFieldBegin(ctx)
		if err != nil {
			return thrift.PrependError(fmt.Sprintf("%T field %d read error: ", p, fieldId), err)
		}
		if fieldTypeId == thrift.STOP {
			break
		}
		switch fieldId {
		case 1:
			if fieldTypeId == thrift.STRUCT {
				if err := p.ReadField1(ctx, iprot); err != nil {
					return err
				}
			} else {
				if err := iprot.Skip(ctx, fieldTypeId); err != nil {
					return err
				}
			}
		default:
			if err := iprot.Skip(ctx, fieldTypeId); err != nil {
				return err
			}
		}
		if err := iprot.ReadFieldEnd(ctx); err != nil {
			return err
		}
	}
	if err := iprot.ReadStructEnd(ctx); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T read struct end error: ", p), err)
	}
	return nil
}

func (p *CacheAPIGetAgentStatusArgs) ReadField1(ctx context.Context, iprot thrift.TProtocol) error {
	p.RequestInfo = &AgentStatusRequest{}
	if err := p.RequestInfo.Read(ctx, iprot); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T error reading struct: ", p.RequestInfo), err)
	}
	return nil
}

func (p *CacheAPIGetAgentStatusArgs) Write(ctx context.Context, oprot thrift.TProtocol) error {
	if err := oprot.WriteStructBegin(ctx, "get_agent_status_args"); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T write struct begin error: ", p), err)
	}
	if p != nil {
		if err := p.writeField1(ctx, oprot); err != nil {
			return err
		}
	}
	if err := oprot.WriteFieldStop(ctx); err != nil {
		return thrift.PrependError("write field stop error: ", err)
	}
	if err := oprot.WriteStructEnd(ctx); err != nil {
		return thrift.PrependError("write struct stop error: ", err)
	}
	return nil
}

func (p *CacheAPIGetAgentStatusArgs) writeField1(ctx context.Context, oprot thrift.TProtocol) (err error) {
	if err := oprot.WriteFieldBegin(ctx, "request_info", thrift.STRUCT, 1); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T write field begin error 1:request_info: ", p), err)
	}
	if err := p.RequestInfo.Write(ctx, oprot); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T error writing struct: ", p.RequestInfo), err)
	}
	if err := oprot.WriteFieldEnd(ctx); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T write field end error 1:request_info: ", p), err)
	}
	return err
}

func (p *CacheAPIGetAgentStatusArgs) String() string {
	if p == nil {
		return "<nil>"
	}
	return fmt.Sprintf("CacheAPIGetAgentStatusArgs(%+v)", *p)
}

// Attributes:
//   - Success
type CacheAPIGetAgentStatusResult struct {
	Success *AgentStatusResponse `thrift:"success,0" db:"success" json:"success,omitempty"`
}

func NewCacheAPIGetAgentStatusResult() *CacheAPIGetAgentStatusResult {
	return &CacheAPIGetAgentStatusResult{}
}

var CacheAPIGetAgentStatusResult_Success_DEFAULT *AgentStatusResponse

func (p *CacheAPIGetAgentStatusResult) GetSuccess() *AgentStatusResponse {
	if !p.IsSetSuccess() {
		return CacheAPIGetAgentStatusResult_Success_DEFAULT
	}
	return p.Success
}
func (p *CacheAPIGetAgentStatusResult) IsSetSuccess() bool {
	return p.Success != nil
}

func (p *CacheAPIGetAgentStatusResult) Read(ctx context.Context, iprot thrift.TProtocol) error {
	if _, err := iprot.ReadStructBegin(ctx); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T read error: ", p), err)
	}

	for {
		_, fieldTypeId, fieldId, err := iprot.ReadFieldBegin(ctx)
		if err != nil {
			return thrift.PrependError(fmt.Sprintf("%T field %d read error: ", p, fieldId), err)
		}
		if fieldTypeId == thrift.STOP {
			break
		}
		switch fieldId {
		case 0:
			if fieldTypeId == thrift.STRUCT {
				if err := p.ReadField0(ctx, iprot); err != nil {
					return err
				}
			} else {
				if err := iprot.Skip(ctx, fieldTypeId); err != nil {
					return err
				}
			}
		default:
			if err := iprot.Skip(ctx, fieldTypeId); err != nil {
				return err
			}
		}
		if err := iprot.ReadFieldEnd(ctx); err != nil {
			return err
		}
	}
	if err := iprot.ReadStructEnd(ctx); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T read struct end error: ", p), err)
	}
	return nil
}

func (p *CacheAPIGetAgentStatusResult) ReadField0(ctx context.Context, iprot thrift.TProtocol) error {
	p.Success = &AgentStatusResponse{}
	if err := p.Success.Read(ctx, iprot); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T error reading struct: ", p.Success), err)
	}
	return nil
}

func (p *CacheAPIGetAgentStatusResult) Write(ctx context.Context, oprot thrift.TProtocol) error {
	if err := oprot.WriteStructBegin(ctx, "get_agent_status_result"); err != nil {
		return thrift.PrependError(fmt.Sprintf("%T write struct begin error: ", p), err)
	}
	if p != nil {
		if err := p.writeField0(ctx, oprot); err != nil {
			return err
		}
	}
	if err := oprot.WriteFieldStop(ctx); err != nil {
		return thrift.PrependError("write field stop error: ", err)
	}
	if err := oprot.WriteStructEnd(ctx); err != nil {
		return thrift.PrependError("write struct stop error: ", err)
	}
	return nil
}

func (p *CacheAPIGetAgentStatusResult) writeField0(ctx context.Context, oprot thrift.TProtocol) (err error) {
	if p.IsSetSuccess() {
		if err := oprot.WriteFieldBegin(ctx, "success", thrift.STRUCT, 0); err != nil {
			return thrift.PrependError(fmt.Sprintf("%T write field begin error 0:success: ", p), err)
		}
		if err := p.Success.Write(ctx, oprot); err != nil {
			return thrift.PrependError(fmt.Sprintf("%T error writing struct: ", p.Success), err)
		}
		if err := oprot.WriteFieldEnd(ctx); err != nil {
			return thrift.PrependError(fmt.Sprintf("%T write field end error 0:success: ", p), err)
		}
	}
	return err
}

func (p *CacheAPIGetAgentStatusResult) String() string {
	if p == nil {
		return "<nil>"
	}
	return fmt.Sprintf("CacheAPIGetAgentStatusResult(%+v)", *p)
}
